# This file and its contents are supplied under the terms of the
# Common Development and Distribution License ("CDDL"), version 1.0.
# You may only use this file in accordance with the terms of version
# 1.0 of the CDDL.
#
# A full copy of the text of the CDDL should have accompanied this
# source.  A copy of the CDDL is also available via the Internet at
# http://www.illumos.org/license/CDDL.
#
#
# Copyright 2016 Nexenta Systems, Inc. All rights reserved.
#

#
# The driver was tested only against devices supporting v1.0 of the
# NVMe specification. Uncomment this to be able to use devices conforming
# to newer specifications.
strict-version=0;

#
# The driver does currently not support any vendor specific extension to the
# specification. By default it will fault the device if it receives a vendor-
# specific command status. Uncomment this to disable this behaviour.
#ignore-unknown-vendor-status=1;

#
# The maximum length of the admin queue can be overridden here (16-4096).
#admin-queue-len=256;

#
# The maximum length of the individual I/O queues can be overriden here
# (16-65536).
#io-queue-len=1024;

#
# The maximum number of outstanding asynchronous event requests can
# overridden here.
#async-event-limit=10;

#
# Enable (1) or Disable (0) the volatile write cache, if present.
#
#volatile-write-cache-enable=1;

#
# The minimum physical block size to be reported to blkdev. This value must
# be a power of 2 greater than or equal to 512.
#
#min-phys-block-size=512;
